use serde::{Serialize, Deserialize};

#[derive(Serialize, Deserialize, Clone)]
pub struct User {
    pub id: i64,
    pub login: String,
    pub full_name: String
}

#[derive(Serialize, Deserialize, Clone)]
pub struct Repo {
    pub id: i64,
    pub owner: User,
    pub name: String,
    pub full_name: String,
    pub private: bool,
    pub archived: bool,
    pub has_pull_requests: bool,
    pub has_issues: bool
}